<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
				xmlns="http://www.w3.org/1999/xhtml">

<!-- ======================================================== -->
<!-- Pievienojam kopējās transformācijas -->
<xsl:import href="/usr/local/share/xml/lu/lu_html.xsl"/>

<!-- ======================================================== -->
<xsl:output encoding="utf-8" method="html" indent="yes" doctype-public="//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

<!-- <xsl:param name="kursa_kods" select="'Fizika'"/> -->

<xsl:template match="page">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="lv" xml:lang="lv">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link type="text/css" rel="StyleSheet">
	<xsl:attribute name="href" select="@stylesheet"/>
</link>
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/standard/styles.php" />
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/profizgl/styles.php" />
<xsl:text disable-output-escaping="yes"><![CDATA[
<!--[if IE 7]>
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/standard/styles_ie7.css" />
<![endif]-->
<!--[if IE 6]>
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/standard/styles_ie6.css" />
<![endif]-->
<!--[if IE 7]>
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/profizgl/styles_ie7.css" />
<![endif]-->
<!--[if IE 6]>
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/profizgl/styles_ie6.css" />
<![endif]-->]]></xsl:text>
<meta name="keywords">
	<xsl:attribute name="content">
		<xsl:text>moodle, </xsl:text>
		<xsl:value-of select="title"/>
	</xsl:attribute>
</meta>
<title>
	<xsl:value-of select="title"/>
</title>
<link rel="shortcut icon" href="http://profizgl.lu.lv/theme/profizgl/favicon.ico" />
<script type="text/javascript" src="http://profizgl.lu.lv/lib/speller/spellChecker.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/javascript-static.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/javascript-mod.php"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/overlib/overlib.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/overlib/overlib_cssstyle.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/cookies.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/ufo.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/dropdown.js"></script>
<script type="text/javascript" defer="defer"><xsl:text disable-output-escaping="yes"><![CDATA[
setTimeout('fix_column_widths()', 20);
]]></xsl:text></script>
<script type="text/javascript"><xsl:text disable-output-escaping="yes"><![CDATA[
function openpopup(url, name, options, fullscreen) {
	var fullurl = "http://profizgl.lu.lv" + url;
	var windowobj = window.open(fullurl, name, options);
	if (!windowobj) {
		return true;
	}
	if (fullscreen) {
		windowobj.moveTo(0, 0);
		windowobj.resizeTo(screen.availWidth, screen.availHeight);
	}
	windowobj.focus();
	return false;
}

function uncheckall() {
	var inputs = document.getElementsByTagName('input');
	for(var i = 0; i < inputs.length; i++) {
		inputs[i].checked = false;
	}
}

function checkall() {
	var inputs = document.getElementsByTagName('input');
	for(var i = 0; i < inputs.length; i++) {
		inputs[i].checked = true;
	}
}

function inserttext(text) {
  text = ' ' + text + ' ';
  if ( opener.document.forms['theform'].message.createTextRange && opener.document.forms['theform'].message.caretPos) {
	var caretPos = opener.document.forms['theform'].message.caretPos;
	caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == ' ' ? text + ' ' : text;
  } else {
	opener.document.forms['theform'].message.value  += text;
  }
  opener.document.forms['theform'].message.focus();
}

function getElementsByClassName(oElm, strTagName, oClassNames){
	var arrElements = (strTagName == "*" && oElm.all)? oElm.all : oElm.getElementsByTagName(strTagName);
	var arrReturnElements = new Array();
	var arrRegExpClassNames = new Array();
	if(typeof oClassNames == "object"){
		for(var i=0; i<oClassNames.length; i++){
			arrRegExpClassNames.push(new RegExp("(^|\\s)" + oClassNames[i].replace(/\-/g, "\\-") + "(\\s|$)"));
		}
	}
	else{
		arrRegExpClassNames.push(new RegExp("(^|\\s)" + oClassNames.replace(/\-/g, "\\-") + "(\\s|$)"));
	}
	var oElement;
	var bMatchesAll;
	for(var j=0; j<arrElements.length; j++){
		oElement = arrElements[j];
		bMatchesAll = true;
		for(var k=0; k<arrRegExpClassNames.length; k++){
			if(!arrRegExpClassNames[k].test(oElement.className)){
				bMatchesAll = false;
				break;
			}
		}
		if(bMatchesAll){
			arrReturnElements.push(oElement);
		}
	}
	return (arrReturnElements)
}
]]></xsl:text></script>
<script type="text/javascript" charset="utf-8"><xsl:text disable-output-escaping="yes"><![CDATA[
var CSSClass={};CSSClass.is=function(e,c){if(typeof e=="string")e=document.getElementById(e);var classes=e.className;if(!classes)return false;if(classes==c)return true;return e.className.search("\\b"+c+"\\b")!=-1;};CSSClass.add=function(e,c){if(typeof e=="string")e=document.getElementById(e);if(CSSClass.is(e,c))return;if(e.className)c=" "+c;e.className+=c;};CSSClass.remove=function(e,c){if(typeof e=="string")e=document.getElementById(e);e.className=e.className.replace(new RegExp("\\b"+c+"\\b\\s*","g"),"");};

var script = {
	corrections: function () {
		if (top.user) {
			top.document.getElementsByTagName('frameset')[0].rows = "117,30%,0,200";
		}
		
		// check for layouttabel and add layouttable classes to body
		var tagname = 'nolayouttable';
		if (document.getElementById('middle-column')) {
			var lc = document.getElementById('left-column');
			var rc = document.getElementById('right-column');
			if ( lc && rc ) {
				tagname = 'haslayouttable rightandleftcolumn';
			} else if (lc) {
				tagname = 'haslayouttable onlyleftcolumn';
			} else if (rc) {
				tagname = 'haslayouttable onlyrightcolumn';
			} else {
				tagname = 'haslayouttable onlymiddlecolumn';
			}
		}
		
		function setbodytag (tagname) {
			var bd = document.getElementsByTagName('body')[0];
			if (bd) {
				CSSClass.add(bd, tagname);
			} else {
				setTimeout(function() { setbodytag(tagname) }, 30);
			}
		}
		
		setTimeout(function() { setbodytag(tagname) }, 30);
	},
	
	init: function() {
		script.corrections();
	}
};
]]></xsl:text></script>
</head>
<body class="menu mod-resource course-4 editing dir-ltr lang-lv_utf8 notinpopup" id="mod-resource-view">
<div id="page">
<div id="header" class="wrap wraplevel1 ">
<div id="header-bt" class="bt"><div>&#160;</div></div>
<div id="header-i1" class="i1"><div id="header-i2" class="i2"><div id="header-i3" class="i3 clearfix">

<table width="100%" border="0">
	<tr>
		<td width="256" rowspan="2" valign="middle">
			<a href="http://profizgl.lu.lv/"><img alt="LU PPP" src='http://profizgl.lu.lv/theme/profizgl/LU-PPP-logo-mazs.gif' width="256" height="55"/></a>
		</td>
		<td valign="top"><div class="headermenu" style="float: right;"></div></td>
	</tr>
	<tr>
		<td valign="top"><h1 class="headermain" style="display: block; float: none">Fizika: Vispārizglītojošās fizikas pamati un to īstenojums e-izglītibas vidē Latvijas arodvidusskolām</h1></td>
	</tr>
</table>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- ================ Breadcrumb START ================ -->]]></xsl:text>
<div class="navbar clearfix">
	<xsl:call-template name="breadcrumb"/>
</div>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- ================ Breadcrumb END ================ -->]]></xsl:text>
</div></div></div>
<div id="header-bb" class="bb"><div>&#160;</div></div>
</div>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- END OF HEADER -->]]></xsl:text>
<div id="content" class="wrap wraplevel1 "><div id="content-bt" class="bt"><div>&#160;</div></div><div id="content-i1" class="i1"><div id="content-i2" class="i2"><div id="content-i3" class="i3">

<div class="box generalbox generalboxcontent boxaligncenter clearfix">
<xsl:if test="naviconset">
	<div style="text-align:right"><xsl:apply-templates select="naviconset"/></div>
</xsl:if>
	<div>
		<xsl:apply-templates select="main"/>
	</div>
</div>

<!-- <div class="modified">Pēdējoreiz modificēts: ceturtdiena, 2010. gada  11. marts, 09:30</div> -->
</div></div></div>
<div id="content-bb" class="bb"><div>&#160;</div></div></div>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- end container Content -->]]></xsl:text>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- START OF FOOTER -->]]></xsl:text>
<div id="footer" class="wrap wraplevel1 ">
<div id="footer-bt" class="bt"><div>&#160;</div></div>
<div id="footer-i1" class="i1"><div id="footer-i2" class="i2"><div id="footer-i3" class="i3">
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- Footer Contents START -->]]></xsl:text>
<div class="homelink"><a  href="http://profizgl.lu.lv/course/view.php?id=4">Fizika</a></div>
<div style="margin-top: 8px;">
<img style="width:69px;height:30px" src="http://profizgl.lu.lv/theme/profizgl/ESF-small.gif" alt="ESF" />
<img style="width:44px;height:30px" src="http://profizgl.lu.lv/theme/profizgl/EK-logo-small.gif" alt="EK" />&#160;&#160;&#160;    <a href="http://www.lu.lv/">
<img style="width:100px;height:30px" src="http://profizgl.lu.lv/theme/profizgl/LU-logo-small.gif" alt="Latvijas Universitāte" /></a>
</div>
<div>E-studiju vide tiek nodrošināta sadarbībā ar Latvijas Universitāti</div>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- Footer Contents END -->]]></xsl:text>
</div></div></div>
<div id="footer-bb" class="bb"><div>&#160;</div></div>
</div></div> <xsl:text disable-output-escaping="yes"><![CDATA[
<!-- end page div -->]]></xsl:text>
<script type="text/javascript"><xsl:text disable-output-escaping="yes">
<![CDATA[
	script.init();
]]>
</xsl:text></script>

<!-- <table border="0" align="left" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td width="110px" valign="top">
			<xsl:if test="naviconset or menu">
				<xsl:attribute name="rowspan" select="'2'"/>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="menu">
					<xsl:apply-templates select="menu"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>&#160;</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</td>
		<xsl:choose>
			<xsl:when test="naviconset or menu">
				<td width="110px" align="right" valign="top" colspan="2">
					<xsl:choose>
						<xsl:when test="naviconset">
							<xsl:apply-templates select="naviconset"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>&#160;</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td valign="top">
					<xsl:apply-templates select="main"/>
				</td>
				<td width="110px">&#160;</td>
			</xsl:otherwise>
		</xsl:choose>
	</tr>
	<xsl:if test="naviconset or menu">
		<tr>
			<td valign="top">
				<xsl:apply-templates select="main"/>
			</td>
			<td width="110px">&#160;</td>
		</tr>
	</xsl:if>
</table> -->

</body>
</html>	
</xsl:template>

<xsl:template match="menu">
	<img usemap="#menu" alt="Menu" style="position: fixed;">
		<xsl:attribute name="src">
			<xsl:value-of select="@imgsrc"/>
		</xsl:attribute>
	</img>
	<xsl:choose>
		<xsl:when test="@level='1'">
			<xsl:copy-of select="document('menu_level_i.map')"/>
		</xsl:when>
		<xsl:when test="@level='2'">
			<xsl:copy-of select="document('menu_level_ii.map')"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="naviconset">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="navicon">
	<a class="navicon">
		<xsl:attribute name="href" select="@href"/>
		<xsl:if test="@onclick">
			<xsl:attribute name="onclick" select="@onclick"/>
		</xsl:if>
		<xsl:apply-templates select="breadcrumb[1]"/>
		<img class="navicon">
			<xsl:attribute name="src" select="@imgsrc"/>
			<xsl:if test="@alt">
				<xsl:attribute name="alt" select="@alt"/>
			</xsl:if>
		</img>
		<xsl:if test="title">
			<xsl:text> </xsl:text>
			<xsl:apply-templates select="title"/>
		</xsl:if>
	</a>
	<xsl:if test="following-sibling::navicon">
		<xsl:text> </xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="main">
	<xsl:if test="@align">
		<xsl:attribute name="align" select="@align"/>
	</xsl:if>
	<xsl:if test="@class">
		<xsl:attribute name="class" select="@class"/>
	</xsl:if>
	<xsl:if test="@style">
		<xsl:attribute name="style" select="@style"/>
	</xsl:if>
	<xsl:apply-templates/>
</xsl:template>

<!-- ========================================================= -->
<!-- Nodaļas un apakšnodaļas -->
<xsl:template match="chapter/title">
	<xsl:variable name="sect-id" select="generate-id(..)"/>
	<a>
		<xsl:attribute name="name">
			<xsl:value-of select="$sect-id"/>
		</xsl:attribute>
	</a>
	<h1 class="menu">
		<xsl:if test="not(../@label='none')">
			<xsl:call-template name="get_chapter_number"/>
			<xsl:text>&#160;&#160;</xsl:text>
		</xsl:if>
		<xsl:apply-templates/>
	</h1>
</xsl:template>

<xsl:template match="sect1/title | sect2/title | sect3/title | sect4/title | sect5/title | section/title">
	<xsl:variable name="sect-id" select="generate-id(..)"/>
	<a>
		<xsl:attribute name="name">
			<xsl:value-of select="$sect-id"/>
		</xsl:attribute>
	</a>
	<xsl:choose>
		<xsl:when test="not(ancestor::appendix)">
			<xsl:choose>
				<xsl:when test="parent::sect1">
					<h2 class="menu">
						<xsl:if test="not(../@label='none')">
							<xsl:call-template name="get_sect_number"/>
							<xsl:text>&#160;&#160;</xsl:text>
						</xsl:if>
						<xsl:apply-templates/></h2>
				</xsl:when>
				<xsl:when test="parent::sect2">
					<h3 class="menu">
						<xsl:if test="not(../@label='none')">
							<xsl:call-template name="get_sect_number"/>
							<xsl:text>&#160;&#160;</xsl:text>
						</xsl:if>
						<xsl:apply-templates/></h3>
				</xsl:when>
				<xsl:when test="parent::sect3">
					<h4 class="menu">
						<xsl:if test="not(../@label='none')">
							<xsl:call-template name="get_sect_number"/>
							<xsl:text>&#160;&#160;</xsl:text>
						</xsl:if>
						<xsl:apply-templates/></h4>
				</xsl:when>
				<xsl:when test="parent::sect4">
					<h5 class="menu">
						<xsl:if test="not(../@label='none')">
							<xsl:call-template name="get_sect_number"/>
							<xsl:text>&#160;&#160;</xsl:text>
						</xsl:if>
						<xsl:apply-templates/></h5>
				</xsl:when>
				<xsl:when test="parent::sect5">
					<h6 class="menu">
						<xsl:if test="not(../@label='none')">
							<xsl:call-template name="get_sect_number"/>
							<xsl:text>&#160;&#160;</xsl:text>
						</xsl:if>
						<xsl:apply-templates/></h6>
				</xsl:when>
			</xsl:choose>
		</xsl:when>
		<xsl:when test="ancestor::appendix">
			<xsl:choose>
				<xsl:when test="parent::sect1">
					<h3 class="menu"><xsl:call-template name="get_sect_number"/>
						<xsl:text>&#160;&#160;</xsl:text>
						<xsl:apply-templates/></h3>
				</xsl:when>
				<xsl:when test="parent::sect2">
					<h4 class="menu"><xsl:call-template name="get_sect_number"/>
						<xsl:text>&#160;&#160;</xsl:text>
						<xsl:apply-templates/></h4>
				</xsl:when>
				<xsl:when test="parent::sect3">
					<h5 class="menu"><xsl:call-template name="get_sect_number"/>
						<xsl:text>&#160;&#160;</xsl:text>
						<xsl:apply-templates/></h5>
				</xsl:when>
				<xsl:when test="parent::sect4">
					<h6 class="menu"><xsl:call-template name="get_sect_number"/>
						<xsl:text>&#160;&#160;</xsl:text>
						<xsl:apply-templates/></h6>
				</xsl:when>
				<xsl:when test="parent::sect5">
					<h6 class="menu"><xsl:call-template name="get_sect_number"/>
						<xsl:text>&#160;&#160;</xsl:text>
						<xsl:apply-templates/></h6>
				</xsl:when>
			</xsl:choose>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="h1">
	<h1 class="menu">
		<xsl:apply-templates/>
	</h1>
</xsl:template>

<!-- ========================================================= -->
<!-- Pievienojam kopējās efizikas transformācijas -->
<xsl:include href="efizika_html_common.xsl"/>

<xsl:template match="img">
	<img>
		<xsl:if test="@alt">
			<xsl:attribute name="alt" select="@alt"/>
		</xsl:if>
		<xsl:if test="@src">
			<xsl:attribute name="src" select="@src"/>
		</xsl:if>
		<xsl:if test="@usemap">
			<xsl:attribute name="usemap">
				<xsl:text>#</xsl:text>
				<xsl:value-of select="@usemap"/>
			</xsl:attribute>
		</xsl:if>
	</img>
</xsl:template>

<xsl:template match="div">
	<div>
		<xsl:if test="@align">
			<xsl:attribute name="align" select="@align"/>
		</xsl:if>
		<xsl:if test="@class">
			<xsl:attribute name="class" select="@class"/>
		</xsl:if>
		<xsl:if test="@style">
			<xsl:attribute name="style" select="@style"/>
		</xsl:if>
		<xsl:apply-templates/>
	</div>
</xsl:template>

<xsl:template match="br">
	<xsl:copy-of select="."/>
</xsl:template>

</xsl:stylesheet>

